Need help? Get answers from the docs with Omni's in-app AI! Log in to your Omni instance and open the Omni Agent in the sidebar.
curl --request PUT \
--url https://{instance}.omniapp.co/api/v1/schedules/{scheduleId}/add-recipients \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emails": [
"jsmith@example.com"
],
"userIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'{
"addedRecipientsCount": 2,
"success": true
}curl --request PUT \
--url https://{instance}.omniapp.co/api/v1/schedules/{scheduleId}/add-recipients \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emails": [
"jsmith@example.com"
],
"userIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'{
"addedRecipientsCount": 2,
"success": true
}Adds one or more recipients to an existing scheduled email task. Recipients can be specified by email address or user ID.Documentation Index
Fetch the complete documentation index at: https://docs.omni.co/llms.txt
Use this file to discover all available pages before exploring further.
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
The ID of the schedule to add recipients to. To find a schedule's ID:
The schedule's ID is in the page's URL, after /schedules/. For example, the schedule ID in this URL is 123e4567-e89b-12d3-a456-426614174000:
https://blobsrus.omniapp.co/dashboards/e23ebaa0/schedules/123e4567-e89b-12d3-a456-426614174000At least one email or user ID must be provided. Array of email addresses to add as recipients.
At least one email or user ID must be provided. Array of user UUIDs to add as recipients. Use the List users and List embed users endpoints to retrieve user IDs.
Was this page helpful?